import useAsync from "../useAsync";
export default function useScript(url) {
    var _a = useAsync(function () {
        var script = document.createElement("script");
        script.src = url;
        script.async = true;
        return new Promise(function (resolve, reject) {
            script.addEventListener("load", resolve);
            script.addEventListener("error", reject);
            document.body.appendChild(script);
        });
    }, [url]), loading = _a[1], error = _a[2];
    return [loading, error];
}
